[mypy]
disallow_untyped_defs = True
warn_redundant_casts = True
# Always set this option to false
# If you want to ignore some imports do it imports per imports
ignore_missing_imports = False
follow_imports=skip

[mypy-fire.*]
ignore_missing_imports = True

[mypy-yaml.*]
ignore_missing_imports = True

[mypy-requests.*]
ignore_missing_imports = True

[flake8]
exclude=
    docs
    ci
    ryaxpkgs
    migrations
    *pb2.py
    ryax_sdk
    .poetry
max-line-length = 88
select = C,E,F,W,B,B950
ignore = E203, E501, W503
